Bug 586101 - SELinux is preventing /usr/sbin/lircd "write" access on 028.
SELinux is preventing /usr/sbin/lircd "write" access on 028.
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: selinux-policy (Show other bugs)
12
x86_64 Linux
low Severity medium
: ---
: ---
Assigned To: Miroslav Grepl
Fedora Extras Quality Assurance
setroubleshoot_trace_hash:e26966ac03e...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-04-26 15:44 EDT by Nikolay Bryskin
Modified: 2010-05-18 17:55 EDT (History)
2 users (show)

See Also:
Fixed In Version: selinux-policy-3.6.32-114.fc12
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-05-18 17:55:12 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Nikolay Bryskin 2010-04-26 15:44:40 EDT
Hash String generated from  catchall,lircd,lircd_t,usb_device_t,chr_file,write
audit2allow suggests:
Comment 1 Daniel Walsh 2010-04-26 15:57:25 EDT
For some reason setroubleshoot did not send all the information.  Can you paste the sealert here.
Comment 2 Nikolay Bryskin 2010-04-28 01:38:33 EDT
Summary:

SELinux is preventing /usr/sbin/lircd "write" access on 028.

Detailed Description:

[lircd has a permissive type (lircd_t). This access was not denied.]

SELinux denied access requested by lircd. It is not expected that this access is
required by lircd and this access may signal an intrusion attempt. It is also
possible that the specific version or configuration of the application is
causing it to require additional access.

Allowing Access:

You can generate a local policy module to allow this access - see FAQ
(http://docs.fedoraproject.org/selinux-faq-fc5/#id2961385) Please file a bug
report.

Additional Information:

Source Context                system_u:system_r:lircd_t:s0-s0:c0.c1023
Target Context                system_u:object_r:usb_device_t:s0
Target Objects                028 [ chr_file ]
Source                        lircd
Source Path                   /usr/sbin/lircd
Port                          <Unknown>
Host                          nikicat-laptop.butovo
Source RPM Packages           lirc-0.8.6-6.fc12
Target RPM Packages           
Policy RPM                    selinux-policy-3.6.32-110.fc12
Selinux Enabled               True
Policy Type                   targeted
Enforcing Mode                Enforcing
Plugin Name                   catchall
Host Name                     nikicat-laptop.butovo
Platform                      Linux nikicat-laptop.butovo
                              2.6.32.11-99.fc12.x86_64 #1 SMP Mon Apr 5 19:59:38
                              UTC 2010 x86_64 x86_64
Alert Count                   701
First Seen                    Mon 26 Apr 2010 11:41:41 PM MSD
Last Seen                     Mon 26 Apr 2010 11:43:10 PM MSD
Local ID                      f4ca1cab-b6a2-4e69-a46c-0c63586b5006
Line Numbers                  

Raw Audit Messages            

node=nikicat-laptop.butovo type=AVC msg=audit(1272310990.962:11627): avc:  denied  { write } for  pid=18671 comm="lircd" name="028" dev=devtmpfs ino=8280925 scontext=system_u:system_r:lircd_t:s0-s0:c0.c1023 tcontext=system_u:object_r:usb_device_t:s0 tclass=chr_file

node=nikicat-laptop.butovo type=SYSCALL msg=audit(1272310990.962:11627): arch=c000003e syscall=2 success=yes exit=128 a0=7fff4d32bc30 a1=2 a2=7fff4d32bc44 a3=fffffffd items=0 ppid=18667 pid=18671 auid=4294967295 uid=0 gid=0 euid=0 suid=0 fsuid=0 egid=0 sgid=0 fsgid=0 tty=(none) ses=4294967295 comm="lircd" exe="/usr/sbin/lircd" subj=system_u:system_r:lircd_t:s0-s0:c0.c1023 key=(null)
Comment 3 Daniel Walsh 2010-04-28 09:57:10 EDT
Miroslav add

dev_rw_generic_usb_dev(lircd_t)
Comment 4 Miroslav Grepl 2010-05-05 07:43:35 EDT
Fixed in selinux-policy-3.6.32-114.fc12
Comment 5 Fedora Update System 2010-05-05 11:36:55 EDT
selinux-policy-3.6.32-114.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/selinux-policy-3.6.32-114.fc12
Comment 6 Fedora Update System 2010-05-06 23:57:34 EDT
selinux-policy-3.6.32-114.fc12 has been pushed to the Fedora 12 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update selinux-policy'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/selinux-policy-3.6.32-114.fc12
Comment 7 Fedora Update System 2010-05-18 17:54:27 EDT
selinux-policy-3.6.32-114.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.